Package org.springframework.web.client

# Interface RestClient.ResponseSpec.ErrorHandler

Enclosing interface:
  RestClient.ResponseSpec

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface RestClient.ResponseSpec.ErrorHandler
Used in `RestClient.ResponseSpec.onStatus(Predicate, ErrorHandler)`.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(HttpRequest request, ClientHttpResponse response)`
Handle the error in the given response.

## Method Details

### handle

void handle(HttpRequest request, ClientHttpResponse response) throws IOException
Handle the error in the given response.

Parameters:
  `response` - the response with the error
Throws:
  `IOException` - in case of I/O errors